Subject: Re: Senior Discounts we qualify for - snopes.com
From: Kay price <[email-masked]>
To: Jim Kirchstein <[email-masked]>
Date: Mon, 28 Jan 2013 16:41:00 -0600

Did Aug write anything that covers the years you were a teenager? Dorothy was saying she wishes he had. 

On Jan 28, 2013, at 9:30 AM, "Jim Kirchstein" <[email-masked]> wrote:

> I have a mtg tomorrow at 11:30....else would have enjoyed joining you guys.
> 
> --------------------------------------------------
> From: "Kay price" <[email-masked]>
> Sent: Monday, January 28, 2013 9:16 AM
> To: "Jim Kirchstein" <[email-masked]>
> Subject: Re: Senior Discounts we qualify for - snopes.com
> 
>> I will tell Jim Nelson. They are coming out tomorrow. Do you want to join us for lunch? I think it will be Leystra's but I let them pick. At 11:30.
>> 
>> On Jan 28, 2013, at 7:46 AM, "Jim Kirchstein" <[email-masked]> wrote:
>> 
>>> Thanks for the link...
>>> I also found that being a vet, Home Depot gives me 10% on anything I buy, at any time.
>>> 
>>> Garrick Olsen was on public radio a couple of days ago... noonday classics (I think).....did a super job. Can access it on wpr, on line.
>>> I loved his expression of amazement listening to you at WWF12...caught it on camera.
>>> 
>>> --------------------------------------------------
>>> From: "Kay price" <[email-masked]>
>>> Sent: Sunday, January 27, 2013 4:50 PM
>>> To: "Karen Nelson" <[email-masked]>
>>> Subject: Senior Discounts we qualify for - snopes.com
>>> 
>>>> 
>>>> http://message.snopes.com/showthread.php?t=80899